package com.fs.wx.cp.service;

import com.fs.common.core.redis.RedisCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AccessTokenUtil {
    @Autowired
    RedisCache redisCache;


    public String getSuiteAccessToken(){
        String suiteAccessToken = redisCache.getCacheObject("suite_access_token");
        return suiteAccessToken;
    }

    public String getAccessToken(String corpId){
        String accessToken = redisCache.getCacheObject(corpId+":access_token");
        return accessToken;
    }

    public String getSuiteTicket(){
        String suiteTicket = redisCache.getCacheObject("suite_ticket");
        return suiteTicket;
    }






}
