package com.fs.store.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FsStoreOrderComputeDTO implements Serializable
{

    private BigDecimal payPrice;

    private BigDecimal totalPrice;

    private Double usedIntegral; //使用了多少积分

    private BigDecimal payIntegral;


    private BigDecimal payPostage;

    private BigDecimal deductionPrice;


}
